<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.ydl.ydlcommon.view.TitleBar
        android:id="@+id/title_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_bar_height"
        android:background="#d3574c"
        app:pa_left_start_icon="@drawable/platform_common_back"
        app:pa_title_bar_text_color="#ffffff"
        app:pa_title_text="感恩红包" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="-5dp"
        android:background="@drawable/redpacket_receive_bg">

        <com.ydl.ydlcommon.view.CircleImageView
            android:id="@+id/receive_head"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="40dp"
            android:src="@drawable/platform_default_img" />

        <TextView
            android:id="@+id/receive_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/receive_head"
            android:layout_centerHorizontal="true"
            android:padding="10dp"
            android:textColor="#000000"
            android:textSize="17sp"
            tools:text="仁杰 的红包" />

        <TextView
            android:id="@+id/receive_name_"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/receive_name"
            android:layout_centerHorizontal="true"
            android:padding="10dp"
            android:text="金额 2.00"
            android:textColor="#000000"
            android:textSize="17sp"
            android:visibility="gone" />

        <TextView
            android:id="@+id/receive_mind"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/receive_name_"
            android:layout_centerHorizontal="true"
            android:padding="10dp"
            android:text="一点心意 请笑纳"
            android:textColor="#888888"
            android:textSize="15sp" />

        <TextView
            android:id="@+id/receive_unreceived"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/receive_mind"
            android:background="#ffffff"
            android:padding="20dp"
            android:textSize="16sp"
            android:visibility="invisible"
            tools:text="红包金额100元，等待对方领取" />

        <RelativeLayout
            android:id="@+id/receive_received"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/receive_mind"
            android:background="#ffffff"
            android:orientation="vertical"
            android:visibility="gone">

            <TextView
                android:id="@+id/receive_money"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="10dp"
                tools:text="一个红包金额100元" />

            <TextView
                android:id="@+id/receive_divide"
                android:layout_width="match_parent"
                android:layout_height="@dimen/divide_line_stroke_width"
                android:layout_below="@+id/receive_money"
                android:background="#EDEDED" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/receive_divide">

                <com.ydl.ydlcommon.view.CircleImageView
                    android:id="@+id/expert_header"
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:padding="10dp"
                    tools:src="@drawable/previous_icon" />

                <TextView
                    android:id="@+id/expert_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_toRightOf="@+id/expert_header"
                    android:paddingLeft="10dp"
                    android:paddingTop="10dp"
                    tools:text="李静" />

                <TextView
                    android:id="@+id/expert_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/expert_name"
                    android:layout_toRightOf="@+id/expert_header"
                    android:paddingLeft="10dp"
                    android:paddingTop="5dp"
                    tools:text="07-21 10:10:21" />

                <TextView
                    android:id="@+id/expert_money"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignTop="@+id/expert_header"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="10dp"
                    android:paddingTop="10dp"
                    tools:text="100元" />
            </RelativeLayout>
        </RelativeLayout>

        <TextView
            android:id="@+id/receive_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="50dp"
            android:padding="10dp"
            android:text="查看红包记录"
            android:textColor="#4bc8df"
            android:textSize="20sp" />

        <TextView
            android:id="@+id/receive_introduce"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="15dp"
            android:text="超时未领取，金额将被退回"
            android:textSize="14sp"
            android:visibility="gone" />

    </RelativeLayout>
</LinearLayout>